AutoCad - 3D face a Polilíneas

 
Vista:

3D face a Polilíneas

Publicado por Quino (1 intervención) el 11/10/2006 10:49:19
Hola,

¿Cómo puedo convertir 3D face a polilíneas?

Es que tengo un dwg con límites municipales, pero son 3D feces y necesito polilíneas.

Muchas gracias.

Un saludo.
Valora esta pregunta
Me gusta: Está pregunta es útil y esta claraNo me gusta: Está pregunta no esta clara o no es útil
0
Responder

3D face a Polilíneas

Publicado por Gastón (1 intervención) el 06/02/2020 13:24:34
Convierte a región (comando region, seleccionas, enter) y luego lo explotas con comando explode
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar
sin imagen de perfil
Val: 1.446
Oro
Ha mantenido su posición en AutoCad (en relación al último mes)
Gráfica de AutoCad

3D face a Polilíneas

Publicado por Gerardo (710 intervenciones) el 06/02/2020 21:22:32
Supongo que 13 años después de preguntar ya Quino lo solucionó XD, pero por si alguien más se encuentra con la misma tarea, además de lo que comentas de pasarlo por región -muy válido- se puede usar autolisp. Pegando este código en la linea de comandos y dando intro todos los 3d faces se convierten en 3dPolys.

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
(if (setq i 0
			 ss (ssget "_X" '((0 . "3DFACE")))
	 )
	(repeat (sslength ss)
		(setq nent (ssname ss i)
				lent (entget nent)
				i (1+ i)
				pts (mapcar 'cdr (vl-remove-if-not '(lambda(A)(< 9 (car A) 14)) lent))
		)
		(setq A (entmakex '((0 . "POLYLINE") (70 . 9) (66 . 1))))
		(foreach pt pts (entmake (list '(0 . "VERTEX") (cons 10 pt) '(70 . 32))))
		(if (entmake (list '(0 . "SEQEND")(cons -2 A)))
			(entdel nent)
		)
	)
)
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar